> For the complete documentation index, see [llms.txt](https://docs.marpledata.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.marpledata.com/docs/marple-insight/setup-and-configuration/data-connection/supported-databases/mireo-spacetime.md).

# Mireo Spacetime

Designed for location-based data, [**Mireo Spacetime**](https://www.mireo.com/spacetime) excels in vehicle tracking and GPS analytics. Marple integrates with default Spacetime tables:

* **st.trip** → to be displayed as datasets
* **st.dsensor & st.csensor** → provide the signal lists and time-series data.
* Queries use standard **SQL**.
* Custom queries can be written for non-standard table structures.

For instance, a default query to retreive datasets would be:

```
select concat('Trip with #', trip.vid) as display_name,
        min(tel.t) / 1000.0 as timestamp_start,
        max(tel.t) / 1000.0 as timestamp_stop,
from st.trip trip
group by bid
order by bid asc
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.marpledata.com/docs/marple-insight/setup-and-configuration/data-connection/supported-databases/mireo-spacetime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
